# Uses of Class
bsh.ClassGeneratorUtil.ConstructorArgs

Packages that use ClassGeneratorUtil.ConstructorArgs
Package
Description
bsh

## Uses of ClassGeneratorUtil.ConstructorArgs in bsh

Fields in bsh declared as ClassGeneratorUtil.ConstructorArgs
Modifier and Type
Field
Description
`static ClassGeneratorUtil.ConstructorArgs`
ClassGeneratorUtil.ConstructorArgs.`DEFAULT`
A ConstructorArgs which calls the default constructor
Methods in bsh that return ClassGeneratorUtil.ConstructorArgs
Modifier and Type
Method
Description
`static ClassGeneratorUtil.ConstructorArgs`
ClassGeneratorUtil.`getConstructorArgs(String superClassName, This classStaticThis, Object[] consArgs, int index)`
Evaluate the arguments (if any) for the constructor specified by the constructor index.